<!-- 
    proposito: Crear la vista del componente para mostrar clientes
    Autor: Luisa.sanchez
 -->
<div class="container-fluid h-100 w-100">
    <div class="row">
        <!-- Inicio: cabecera del contenedor -->
        <div class="col-12 bg-sections border-sections pt-3 pb-3 mb-3">
            <div class="row">
                <!-- Inicio: guia de ruta -->
                <div class="col-10">
                    <span class="h3 text-menu header-weight pl-2">Clientes</span>
                </div>
                <!-- Fin: guia de ruta -->
                <!-- Inicio: botones de accion -->
                <div class="col-2">
                    <button class="w-100 standar-button pt-2 pb-2" [routerLink]="['/clients/new']"> <i class="fa fa-plus standar-icon-button"></i> <span class="h5 ml-3 standar-text-button">Agregar</span></button>

                </div>
                <!-- Fin: botones de accion -->
            </div>
        </div>
        <!-- Fin: cabecera del contenedor -->
        <!-- Inicio: contenedor de tabla -->
        <div class="col-12 bg-sections border-sections w-100">
            <!-- Inicio: tabla de clientes -->
            <table mat-table [dataSource]="dataSourceClientes" multiTemplateDataRows class="w-100" aria-describedby="tabla clientes">
                <!-- Inicio: campos de tabla -->

                <ng-container matColumnDef="idCliente">
                    <th id="idCliente" class=" pl-4 header-table h4" mat-header-cell *matHeaderCellDef>Id Cliente </th>
                    <td mat-cell *matCellDef="let element" class="pl-4 ">
                        <span class="">{{element.id}}</span>
                    </td>
                </ng-container>

                <ng-container matColumnDef="nombre" class="">
                    <th id="nombre" class=" pl-5 header-table h4" mat-header-cell *matHeaderCellDef> Nombre de cliente </th>
                    <td mat-cell *matCellDef="let element" class="pl-5 ">
                        {{element.nombre}}
                    </td>
                </ng-container>

                <!-- Inicio: campos de accion -->
                <ng-container matColumnDef="detalles">
                    <th mat-header-cell *matHeaderCellDef id="detalles" class=" header-table h4">Acciones</th>
                    <td mat-cell *matCellDef="let element" class="text-center">

                        <!--Inicio: botones accion -->
                        <div class="w-100">
                            <ng-container>
                                <div class="linea">
                                    <button mat-button [routerLink]="['/clients/update', element.id]" class="standar-table-button h4">
                                    <i class="fa fa-edit" aria-hidden="true"></i>
                                </button>
                                </div>
                            </ng-container>
                        </div>
                        <!--Fin: botones accion -->
                    </td>
                </ng-container>
                <!-- Fin: campos de accion -->


                <!-- Fin: campos de tabla -->

                <tr mat-header-row *matHeaderRowDef="columnasTablaClientes"></tr>
                <tr mat-row *matRowDef="let element; columns: columnasTablaClientes;"></tr>
            </table>

            <!-- Fin: tabla de clientes -->
            <!-- Inicio: paginador de tabla clientes -->
            <mat-paginator #tablaPadrePaginator="matPaginator" [length]="resultsLength" [pageSizeOptions]="[20]" showFirstLastButtons></mat-paginator>
            <!-- Fin: paginador de tabla clientes -->
        </div>
        <!-- Fin: contenedor de tabla -->
    </div>
</div>